Bug 679714 - PyPAM-0.5.0-3el5sat segfault when authenticating or registering clients on Satellite using users stored in Active Directory
Summary: PyPAM-0.5.0-3el5sat segfault when authenticating or registering clients on Sa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: PyPAM
Version: rawhide
Hardware: All
OS: All
medium
medium
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-23 10:14 UTC by Miroslav Suchý
Modified: 2011-03-19 05:52 UTC (History)
5 users (show)

Fixed In Version: PyPAM-0.5.0-11.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of: 679557
Environment:
Last Closed: 2011-02-23 13:04:39 UTC


Attachments (Terms of Use)

Description Miroslav Suchý 2011-02-23 10:14:04 UTC
+++ This bug was initially created as a clone of Bug #679557 +++

Description of problem:

When using package provided in Satellite 5.4 PyPAM-0.5.0-3el5sat and registering clients using users stored in Active Directory (Samba + Winbind), httpd process dies with a segfault error. 

[Tue Jan 11 13:15:08 2011] [notice] child pid 25658 exit signal Segmentation fault (11)
[Tue Jan 11 13:15:13 2011] [notice] child pid 28084 exit signal Segmentation fault (11)
[Tue Jan 11 13:15:19 2011] [notice] child pid 27209 exit signal Segmentation fault (11)
[Tue Jan 11 13:15:24 2011] [notice] child pid 27213 exit signal Segmentation fault (11)
Tue Jan 11 13:15:30 2011] [notice] child pid 27210 exit signal Segmentation fault (11)

Analysing the core file, we can observe the follow error: 


Program terminated with signal 11, Segmentation fault.
#0  0x00002b13bbbb488e in free () from /lib64/libc.so.6
(gdb) bt
#0  0x00002b13bbbb488e in free () from /lib64/libc.so.6
#1  0x00002b13d6bacdf0 in PyPAM_conv (num_msg=1, msg=0x7fff66806ef0, resp=0x7fff66806f10, appdata_ptr=0x2b13d6b0e330) at PAMmodule.c:59
#2  0x00002b13d73e3863 in ?? () from /lib64/security/pam_winbind.so
#3  0x00002b13d73e438d in ?? () from /lib64/security/pam_winbind.so
#4  0x00002b13d73e693c in pam_sm_authenticate () from /lib64/security/pam_winbind.so
#5  0x00002b13d6dbddc7 in _pam_dispatch () from /lib64/libpam.so.0
#6  0x00002b13d6dbd6d2 in pam_authenticate () from /lib64/libpam.so.0
#7  0x00002b13d6bad2d7 in PyPAM_authenticate (self=0x2b13d6b0e330, args=<value optimized out>) at PAMmodule.c:215


--- Additional comment from tmraz@redhat.com on 2011-02-23 05:05:46 EST ---

Created attachment 480399 [details]
Correct patch with proper deallocation in the error condition

Please test with this patch. Although to test the deallocation an error in the conversation function in the response must be done.

Comment 1 Fedora Update System 2011-02-23 13:01:50 UTC
PyPAM-0.5.0-11.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/PyPAM-0.5.0-11.fc15

Comment 2 Fedora Update System 2011-02-23 13:03:17 UTC
PyPAM-0.5.0-11.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/PyPAM-0.5.0-11.fc14

Comment 3 Fedora Update System 2011-02-23 13:03:43 UTC
PyPAM-0.5.0-11.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/PyPAM-0.5.0-11.el6

Comment 4 Fedora Update System 2011-02-23 13:04:16 UTC
PyPAM-0.5.0-11.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/PyPAM-0.5.0-11.el5

Comment 5 Fedora Update System 2011-03-13 21:21:59 UTC
PyPAM-0.5.0-11.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-03-15 18:21:14 UTC
PyPAM-0.5.0-11.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-03-15 18:24:15 UTC
PyPAM-0.5.0-11.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-03-19 05:52:21 UTC
PyPAM-0.5.0-11.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.